<?php
function theme_language_dropdowns_@(id)(){
?>
    <div class="@classNames">
        <?php
        $items = array(
            array('title' => theme_get_language_title('@textType', @showLabel.toString(), @showArrow.toString()), 'href' => '#', 'parent' => 0, 'id' => 1, 'no_menu_trim_title' => true)
        );
        $languages = theme_get_languages();
        $item_id = 2;
        foreach($languages as $short => $full) {
            $items[] = array('title' => $full, 'href' => '#', 'item_id' => "language_" . $short, 'parent' => 1, 'id' => $item_id);
            $item_id++;
        }
        echo theme_get_dropdown_menu(array(
                'menu' => 'language-menu-@classNames',
                'items' => $items,
                'menu_function' => 'theme_menu_@menu.id',
                'menu_item_start_function' => 'theme_menu_item_start_@menu.item.id',
                'menu_item_end_function' => 'theme_menu_item_end_@menu.item.id',
                'submenu_start_function' => 'theme_submenu_start_@subMenu.Menu.id',
                'submenu_end_function' => 'theme_submenu_end_@subMenu.Menu.id',
                'submenu_item_start_function' => 'theme_submenu_item_start_@subMenu.Menu.item.id',
                'submenu_item_end_function' => 'theme_submenu_item_end_@subMenu.Menu.item.id'
            )
        );
        ?>
    </div>
<?php
}